package org.processmining.parquetxlog.algorithms;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.util.List;

import org.deckfour.xes.model.XLog;
import org.processmining.parquetxlog.plugins.ParquetExporterMinimal;
import org.processmining.parquetxlog.plugins.ParquetReadLogMinimal;


public class TrialAP {
	public static XLog readSingleXES(String fileName) throws Exception {
		File initialFile = new File(fileName);
		InputStream inputStream = new FileInputStream(initialFile);
		org.xeslite.parser.XesLiteXmlParser parser = new org.xeslite.parser.XesLiteXmlParser(true);
		List<XLog> parsedLogs = parser.parse(inputStream);
		if (parsedLogs.size() > 0) {
			return parsedLogs.get(0);
		}
		return null;
	}
	
	public static void main(String[] args) throws Exception {
		String logName = "C:\\roadtraffic";
		XLog parquet = ParquetReadLogMinimal.readlog_minimalColumns(logName+".parquet");
		ParquetExporterMinimal.exportLog(parquet, "C:\\Users\\berti\\roadtraffic.parquet");
		
		System.out.println(parquet);
	}
}
