package org.processmining.parquetxlog.parameters;

import java.util.ArrayList;
import java.util.List;

import org.processmining.basicutils.parameters.impl.PluginParametersImpl;

public class ParquetImportingParameters extends PluginParametersImpl {
	public List<String> selectedItems;
	
	public ParquetImportingParameters() {
		this.selectedItems = new ArrayList<String>();
	}
	
	public ParquetImportingParameters(List<String> selectedItems) {
		this.selectedItems = selectedItems;
	}
	
	public List<String> getSelectedItems() {
		return this.selectedItems;
	}
	
	public void setSelectedItems(List<String> selectedItems) {
		this.selectedItems = selectedItems;
	}
}
